%define	version	1.3.1

%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define release	%mkrel 1


Summary:	alternative Desktop Switcher for Kde
Name:		kclip
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical desktop/KDE
URL:		http://www.kde-look.org/content/show.php?content=12202
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	XFree86-devel kdelibs-devel

%description
This is a simple KDE panel applet that is inspired by the WindowMaker Dock/Clip that is used to changed desktops, but does not operate exactly like the WM Clip. The WM Clip has two arrows to go to the Next and Previous Desktops. I typically use hot-keys for desktop switching, and just needed to know which desktop I was on.

Instead of an arrow, KClip uses mouse-clicks or the scroll-wheel instead:

- Left-Click goes to the Next Desktop.
- Right-Click to go to the Previous Desktop
- Scroll towards you for Next Desktop.
- Scroll away for Previous Desktop.

And now, you can middle-click on the applet to popup a window that will bring up a Desktop Listing menu, so you can go directly to a desktop.

%prep

%setup -q

%build
./configure --prefix=/usr
%make 

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/kclip_panelapplet.la
%{_libdir}/kclip_panelapplet.so
%{_datadir}/apps/kicker/applets/kclip.desktop
%{_datadir}/doc/HTML/en/kclip/index.cache.bz2
%{_datadir}/doc/HTML/en/kclip/index.docbook
%{_datadir}/doc/HTML/en/kclip/common

%changelog
* Thu Jun 16 2005 Benjamin Lisci <benjamin@lisci.de> 1.3.1-1bli
- new version

* Tue Jun 14 2005 Benjamin Lisci <benjamin@lisci.de> 1.3.0-1bli
- new version
- specfile changes

* Mon Jun 06 2005 Benjamin Lisci <benjamin@lisci.de> 1.2.8-1bli
- first build for 2005LE